xcb_randr_get_screen_size_range(3)

NAME
xcb_randr_get_screen_size_range -

SYNOPSIS
#include <xcb/randr.h>

  Request function

xcb_randr_get_screen_size_range_cookie_t xcb_randr_get_screen_size_range(xcb_connection_t *conn, xcb_window_t window);

  Reply datastructure

typedef struct xcb_randr_get_screen_size_range_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t min_width;
    uint16_t min_height;
    uint16_t max_width;
    uint16_t max_height;
    uint8_t  pad1[16];
} xcb_randr_get_screen_size_range_reply_t;

  Reply function

xcb_randr_get_screen_size_range_reply_t *xcb_randr_get_screen_size_range_reply(xcb_connection_t *conn, xcb_randr_get_screen_size_range_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_RANDR_GET_SCREEN_SIZE_RANGE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

min_width
    TODO: NOT YET DOCUMENTED.

min_height
    TODO: NOT YET DOCUMENTED.

max_width
    TODO: NOT YET DOCUMENTED.

max_height
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_randr_get_screen_size_range_cookie_t. Errors have to be handled when calling the reply function xcb_randr_get_screen_size_range_reply.

If you want to handle errors in the event loop instead, use xcb_randr_get_screen_size_range_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from randr.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.